import { DataManager } from './../../manager/DataManager';
import { CustomPlayModel } from './CustomPlayModel';
import { NetManager } from '../../manager/NetManager';
import { GetOrderInfoData } from '../../data/custom/getOrderInfo/GetOrderInfoData';
import { BeforSubmitData } from '../../data/custom/beforSubmit/BeforSubmitData';
export class CustomPlayBeforModel extends CustomPlayModel {
    /**
     * 中奖资格
     */
    public getFacePrice(): boolean {
        return DataManager.ins.getOrderInfoData.facePrice != null && DataManager.ins.getOrderInfoData.facePrice != -1;
    }

    /**
     * 中奖类型
     */
    public getOptionType(): string {
        return DataManager.ins.getOrderInfoData.type;
    }
}